# WOK
TKWOK
WOKOrbix

# WOKOrbix_DataMapOfHAsciiStringOfHAsciiString Class Reference

`#include <WOKOrbix_DataMapOfHAsciiStringOfHAsciiString.hxx>`

Inheritance diagram for WOKOrbix_DataMapOfHAsciiStringOfHAsciiString:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKOrbix_DataMapOfHAsciiStringOfHAsciiString (const Standard_Integer NbBuckets=1)
Standard_EXPORT WOKOrbix_DataMapOfHAsciiStringOfHAsciiString & | Assign (const WOKOrbix_DataMapOfHAsciiStringOfHAsciiString &Other)
WOKOrbix_DataMapOfHAsciiStringOfHAsciiString & | operator= (const WOKOrbix_DataMapOfHAsciiStringOfHAsciiString &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~WOKOrbix_DataMapOfHAsciiStringOfHAsciiString ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(TCollection_HAsciiString)&K, const Handle(TCollection_HAsciiString)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(TCollection_HAsciiString)&K)
Standard_EXPORT const Handle_TCollection_HAsciiString & | Find (const Handle(TCollection_HAsciiString)&K) const
const Handle_TCollection_HAsciiString & | operator() (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT Handle_TCollection_HAsciiString & | ChangeFind (const Handle(TCollection_HAsciiString)&K)
Handle_TCollection_HAsciiString & | operator() (const Handle(TCollection_HAsciiString)&K)

## Private Member Functions

Standard_EXPORT | WOKOrbix_DataMapOfHAsciiStringOfHAsciiString (const WOKOrbix_DataMapOfHAsciiStringOfHAsciiString &Other)

## Constructor & Destructor Documentation

Standard_EXPORT WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::WOKOrbix_DataMapOfHAsciiStringOfHAsciiString | ( | const Standard_Integer | NbBuckets = `1` | ) |

WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::~WOKOrbix_DataMapOfHAsciiStringOfHAsciiString | ( |  | ) | `[inline]`

Standard_EXPORT WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::WOKOrbix_DataMapOfHAsciiStringOfHAsciiString | ( | const WOKOrbix_DataMapOfHAsciiStringOfHAsciiString & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT WOKOrbix_DataMapOfHAsciiStringOfHAsciiString& WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::Assign | ( | const WOKOrbix_DataMapOfHAsciiStringOfHAsciiString & | Other | ) |

Standard_EXPORT Standard_Boolean WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::Bind | ( | const Handle(TCollection_HAsciiString)& | K,
|  | const Handle(TCollection_HAsciiString)& | I
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString& WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::ChangeFind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

Standard_EXPORT void WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::Clear | ( |  | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::Find | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

Standard_EXPORT Standard_Boolean WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::IsBound | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

void WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

Handle_TCollection_HAsciiString& WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | `[inline]`

const Handle_TCollection_HAsciiString& WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | const`[inline]`

WOKOrbix_DataMapOfHAsciiStringOfHAsciiString& WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::operator= | ( | const WOKOrbix_DataMapOfHAsciiStringOfHAsciiString & | Other | ) | `[inline]`

Standard_EXPORT void WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean WOKOrbix_DataMapOfHAsciiStringOfHAsciiString::UnBind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

The documentation for this class was generated from the following file:

- WOKOrbix_DataMapOfHAsciiStringOfHAsciiString.hxx